<?php
$this->MooApp->loading();
$this->Html->css(array('MooApp.main'), array('block' => 'mooAppOptimizedCss','minify'=>false));
$this->addPhraseJs(array(
        'createVideo' => __('Share New Video'),
        //'uploadVideo' => __('Upload Video'),
        'postBy' => __("Posted by"),
        'on' => __("on"),
        'searchVideo' => __("Enter keyword to search"),
        'searchVideoBtn' => __("Search"),
        )
);

/*HOOK FOR PLUGIN VIDEO UPLOAD*/
$bUploadVideo = false;
$oCakeEventCheckUploadVideo = new CakeEvent("View.MooApp.Videos.browse.checkUploadVideo", $this);
$this->getEventManager()->dispatch($oCakeEventCheckUploadVideo);
if (!empty($oCakeEventCheckUploadVideo->result['canUploadVideo'])) {
    $bUploadVideo = true;
}
/*END HOOK FOR PLUGIN*/
?>

<?php $this->start('mooAppOptimizedContent'); ?>
 <script type="text/javascript">
    window.browseType = '<?php echo $type; ?>' ;
    <?php if($type == 'category') : ?>
     window.categoryId = '<?php echo $categoryId; ?>' ;
    <?php endif; ?>
    <?php if(isset($group_id)): ?>
        window.groupId = '<?php echo $group_id; ?>' ;
        <?php if ( !empty( $is_member ) ): ?>
            window.canCreate = true;
        <?php endif; ?>
        <?php if ($bUploadVideo) : ?>
           window.uploadVideo = true;
        <?php endif; ?>
    <?php else : ?>
        <?php if (!empty($uid)): ?>
           window.canCreate = true;
           <?php if ($bUploadVideo) : ?>
           window.uploadVideo = true;
           <?php endif; ?>
        <?php endif; ?>
    <?php endif; ?>
 </script>
<?php $this->end(); ?>

<?php
$this->MooGzip->script(array('zip'=>'livevideos.browse.bundle.js.gz','unzip'=>'MooApp.livevideos.browse.bundle'));
?>
