import React from 'react';
import ReactDOM from 'react-dom';
import LivevideoActions from './data/actions/LivevideoActions';

import LivevideoBrowseContent from './containers/livevideo/LivevideosBrowseContainer';

ReactDOM.render(
        <div><LivevideoBrowseContent/></div>,
        document.getElementById('root')
);

window.videoAction = LivevideoActions;
window.doRefesh = function(){
    if(window.browseType != 'group') {
    	if (window.browseType == 'category')
        {
        	window.videoAction.browseLivevideoByCategory(window.categoryId);
        }
    	else
    	{
    		window.videoAction.browseLivevideo(window.browseType);
    	}
    }
    else {
        window.videoAction.browseVideoGroup(window.groupId);
    }
};
